package com.sifang.modules.sunshine.SystemSetting.entity;



import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_trader")
public class CrmTrader implements Serializable {

    private String id; 		// 编号
    private String name; 	// 名称
    private String userId;
    private String parentId;
    private String parentName;
    private String type;
    private String contacts;
    private String img;
    private String province;
    private String city;
    private String area;
    private String address;
    private String mobile;
    private String actualContacts;
    private String telephone;
    private BigDecimal bond;
    private String actualIdCode;
    private String bankName;
    private String bankCode;
    private String taxNumber;
    private String licenseImg;
    private String idFrontImg;
    private String idOppositeImg;
    private String status;
    private String remarks;
    private String takeDeliveryProvince;
    private String takeDeliveryCity;
    private String takeDeliveryArea;
    private String takeDeliveryAddress;
    private String createBy;
    private String creator;
    private Date createTime;
    private String departmentId;
    private String departmentName;
    private String contractSigning;
    private String regionId;

    private String regionName;
    private Date applyTime;

    private String kingDeeId;

    private String kingDeeNumber;

    private String qqjyglwtsImg;
    private String bzjdkpzImg;
    private String sfzzmfyjImg;
    private String sfzfmfyjImg;
    private String dlszrsqbImg;

    private String qqProjectCode;
    private String qqCompanyCode;



    private String qqProjectName;

    private Date firstDeliverTime;
    private String isNationalTrader;

    public String getIsNationalTrader() {
        return isNationalTrader;
    }

    public void setIsNationalTrader(String isNationalTrader) {
        this.isNationalTrader = isNationalTrader;
    }

    public Date getFirstDeliverTime() {
        return firstDeliverTime;
    }

    public void setFirstDeliverTime(Date firstDeliverTime) {
        this.firstDeliverTime = firstDeliverTime;
    }

    public String getQqProjectName() {
        return qqProjectName;
    }

    public void setQqProjectName(String qqProjectName) {
        this.qqProjectName = qqProjectName;
    }

    public String getKingDeeNumber() {
        return kingDeeNumber;
    }

    public void setKingDeeNumber(String kingDeeNumber) {
        this.kingDeeNumber = kingDeeNumber;
    }

    public String getKingDeeId() {
        return kingDeeId;
    }

    public void setKingDeeId(String kingDeeId) {
        this.kingDeeId = kingDeeId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getContractSigning() {
        return contractSigning;
    }

    public void setContractSigning(String contractSigning) {
        this.contractSigning = contractSigning;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getActualContacts() {
        return actualContacts;
    }

    public void setActualContacts(String actualContacts) {
        this.actualContacts = actualContacts;
    }

    public BigDecimal getBond() {
        return bond;
    }

    public void setBond(BigDecimal bond) {
        this.bond = bond;
    }

    public String getActualIdCode() {
        return actualIdCode;
    }

    public void setActualIdCode(String actualIdCode) {
        this.actualIdCode = actualIdCode;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getTaxNumber() {
        return taxNumber;
    }

    public void setTaxNumber(String taxNumber) {
        this.taxNumber = taxNumber;
    }

    public String getIdFrontImg() {
        return idFrontImg;
    }

    public void setIdFrontImg(String idFrontImg) {
        this.idFrontImg = idFrontImg;
    }

    public String getIdOppositeImg() {
        return idOppositeImg;
    }

    public void setIdOppositeImg(String idOppositeImg) {
        this.idOppositeImg = idOppositeImg;
    }

    public String getTakeDeliveryProvince() {
        return takeDeliveryProvince;
    }

    public void setTakeDeliveryProvince(String takeDeliveryProvince) {
        this.takeDeliveryProvince = takeDeliveryProvince;
    }

    public String getTakeDeliveryCity() {
        return takeDeliveryCity;
    }

    public void setTakeDeliveryCity(String takeDeliveryCity) {
        this.takeDeliveryCity = takeDeliveryCity;
    }

    public String getTakeDeliveryArea() {
        return takeDeliveryArea;
    }

    public void setTakeDeliveryArea(String takeDeliveryArea) {
        this.takeDeliveryArea = takeDeliveryArea;
    }

    public String getTakeDeliveryAddress() {
        return takeDeliveryAddress;
    }

    public void setTakeDeliveryAddress(String takeDeliveryAddress) {
        this.takeDeliveryAddress = takeDeliveryAddress;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getLicenseImg() {
        return licenseImg;
    }

    public void setLicenseImg(String licenseImg) {
        this.licenseImg = licenseImg;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getQqjyglwtsImg() {
        return qqjyglwtsImg;
    }

    public void setQqjyglwtsImg(String qqjyglwtsImg) {
        this.qqjyglwtsImg = qqjyglwtsImg;
    }

    public String getBzjdkpzImg() {
        return bzjdkpzImg;
    }

    public void setBzjdkpzImg(String bzjdkpzImg) {
        this.bzjdkpzImg = bzjdkpzImg;
    }

    public String getSfzzmfyjImg() {
        return sfzzmfyjImg;
    }

    public void setSfzzmfyjImg(String sfzzmfyjImg) {
        this.sfzzmfyjImg = sfzzmfyjImg;
    }

    public String getSfzfmfyjImg() {
        return sfzfmfyjImg;
    }

    public void setSfzfmfyjImg(String sfzfmfyjImg) {
        this.sfzfmfyjImg = sfzfmfyjImg;
    }

    public String getDlszrsqbImg() {
        return dlszrsqbImg;
    }

    public void setDlszrsqbImg(String dlszrsqbImg) {
        this.dlszrsqbImg = dlszrsqbImg;
    }

    public String getQqProjectCode() {
        return qqProjectCode;
    }

    public void setQqProjectCode(String qqProjectCode) {
        this.qqProjectCode = qqProjectCode;
    }

    public String getQqCompanyCode() {
        return qqCompanyCode;
    }

    public void setQqCompanyCode(String qqCompanyCode) {
        this.qqCompanyCode = qqCompanyCode;
    }
}
